package org.jeecg.common.dto.archives;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.archives.entity.ProjectManageArchivesAndBusiness;

import java.math.BigDecimal;

/**
   * @Author jihaosen
   * @date 2021/2/24
   */
@ApiModel("项目档案--里程碑信息表新增请求参数")
@Data
public class ProArchivesAndBusinessAddReqDTO {
    @ApiModelProperty( "id")
    private String id;
    @ApiModelProperty( "计划名称")
    private String planName;
    @ApiModelProperty( "第一笔")
    private BigDecimal price1;
    @ApiModelProperty( "第二笔")
    private BigDecimal price2;
    @ApiModelProperty( "第三笔")
    private BigDecimal price3;
    @ApiModelProperty( "第四笔")
    private BigDecimal price4;
    @ApiModelProperty( "第五笔")
    private BigDecimal price5;
    @ApiModelProperty( "对应里程碑1")
    private String milestone1;
    @ApiModelProperty( "对应里程碑2")
    private String milestone2;
    @ApiModelProperty( "对应里程碑3")
    private String milestone3;
    @ApiModelProperty( "对应里程碑4")
    private String milestone4;
    @ApiModelProperty( "对应里程碑5")
    private String milestone5;

    public ProArchivesAndBusinessAddReqDTO() {
    }

    public ProArchivesAndBusinessAddReqDTO(ProjectManageArchivesAndBusiness business) {
        this.planName = business.getId();
        this.price1 = business.getPrice1();
        this.price2 = business.getPrice2();
        this.price3 = business.getPrice3();
        this.price4 = business.getPrice4();
        this.price5 = business.getPrice5();
        this.milestone1 = business.getMilestone1();
        this.milestone2 = business.getMilestone2();
        this.milestone3 = business.getMilestone3();
        this.milestone4 = business.getMilestone4();
        this.milestone5 = business.getMilestone5();
    }
}
