package org.jeecg.modules.archives.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.archives.ProArchivesAndBusinessAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

 /** 
   * @Author jihaosen
   * @date 2021/2/24 
   */
 
@ApiModel("项目档案--里程碑信息表")
@Data
@TableName("project_manage_archives_and_business")
public class ProjectManageArchivesAndBusiness implements Serializable {
	 private static final long serialVersionUID = -3625006826554966271L;
	 @TableId(type = IdType.UUID)
	private String id;
	@ApiModelProperty( "项目档案id")
	private String proArchivesId;
	@ApiModelProperty( "计划类型 1.商务 2.实施 3.开发 4.服务")
	private Integer planType;
	@ApiModelProperty( "计划名称")
	private String planName;
	@ApiModelProperty( "第一笔")
	private BigDecimal price1;
	@ApiModelProperty( "第二笔")
	private BigDecimal price2;
	@ApiModelProperty( "第三笔")
	private BigDecimal price3;
	@ApiModelProperty( "第四笔")
	private BigDecimal price4;
	@ApiModelProperty( "第五笔")
	private BigDecimal price5;
	@ApiModelProperty( "对应里程碑1")
	private String milestone1;
	@ApiModelProperty( "对应里程碑2")
	private String milestone2;
	@ApiModelProperty( "对应里程碑3")
	private String milestone3;
	@ApiModelProperty( "对应里程碑4")
	private String milestone4;
	@ApiModelProperty( "对应里程碑5")
	private String milestone5;
	@ApiModelProperty( "创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date createTime;
	@ApiModelProperty( "创建人")
	private String createBy;
	@ApiModelProperty( "修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private java.util.Date updateTime;
	@ApiModelProperty( "修改人")
	private String updateBy;
	@ApiModelProperty( "删除状态（0，正常，1已删除）")
	private String delFlag;
	@ApiModelProperty( "组织")
	private String pkOrg;

	 public ProjectManageArchivesAndBusiness() {
	 }

	 public ProjectManageArchivesAndBusiness(ProArchivesAndBusinessAddReqDTO mile, String proArchivesId, Integer planType, String pkOrg) {
		 this.proArchivesId = proArchivesId;
		 this.planType = planType;
		 this.planName = mile.getPlanName();
		 this.price1 = mile.getPrice1();
		 this.price2 = mile.getPrice2();
		 this.price3 = mile.getPrice3();
		 this.price4 = mile.getPrice4();
		 this.price5 = mile.getPrice5();
		 this.milestone1 = mile.getMilestone1();
		 this.milestone2 = mile.getMilestone2();
		 this.milestone3 = mile.getMilestone3();
		 this.milestone4 = mile.getMilestone4();
		 this.milestone5 = mile.getMilestone5();
		 this.delFlag = "0";
		 this.pkOrg = pkOrg;
	 }
 }
